You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     jbe...@freebsd.org
Last committer: jbe...@freebsd.org
Ident:          $FreeBSD: head/devel/renpy/Makefile 459038 2018-01-15 11:59:41Z 
jbeich $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p460549_s328647/logs/renpy-6.99.14_1.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p460549_s328647
Log:

=>> Building devel/renpy
build started at Fri Feb  2 06:05:13 UTC 2018
port directory: /usr/ports/devel/renpy
package name: renpy-6.99.14_1
building for: FreeBSD head-armv6-default-job-05 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200056 arm
maintained by: jbe...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/renpy/Makefile 459038 2018-01-15 
11:59:41Z jbeich $
Poudriere version: 3.2.4-27-gd8c1b2b1
Host OSVERSION: 1200054
Jail OSVERSION: 1200056
Job Id: 05




!!! Jail is newer than host. (Jail: 1200056, Host: 1200054) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1200056
UNAME_v=FreeBSD 12.0-CURRENT 1200056
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
QEMU_EMULATING=1
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
OLDPWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
P_PYTHON_MAJOR_VER=2
POUDRIERE_VERSION=3.2.4-27-gd8c1b2b1
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=py27
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=py27
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for renpy-6.99.14_1:
     DIST=on: Distribution runtimes for Windows, OS X, Linux
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
     TKINTER=on: Install Tkinter to allow choosing Projects Directory
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
jbe...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
SDL2_CONFIG=/usr/local/bin/sdl2-config PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/renpy/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/renpy/work-py27  
HOME=/wrkdirs/usr/ports/devel/renpy/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/renpy/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
RENPY_DEPS_INSTALL="/usr/local" SDL2_CONFIG=/usr/local/bin/sdl2-config 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/renpy/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/renpy/work-py27  
HOME=/wrkdirs/usr/ports/devel/renpy/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/devel/renpy/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
LDSHARED="/nxb-bin/usr/bin/cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" PYTHON_INCLUDEDIR=include/python2.7  
PYTHON_LIBDIR=lib/python2.7  PYTHON_PLATFORM=freebsd12  PYTHON_PYOEXTENSION=pyo 
 PYTHON_SITELIBDIR=lib/python2.7/site-packages  PYTHON_SUFFIX=27  
PYTHON_VER=2.7  PYTHON_VERSION=python2.7 PYTHON2="" PYTHON3="@comment " 
OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib 
DOCSDIR="share/doc/renpy"  EXAMPLESDIR="share/examples/renpy"  
DATADIR="share/renpy"  WWWDIR="www/renpy"  ETCDIR="etc/renpy"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/renpy 
DOCSDIR=/usr/local/share/doc/renpy EXAMPLESDIR=/usr/local/share/examples/renpy  
WWWDIR=/usr/local/www/renpy ETCDIR=/usr/local/etc/renpy
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=armv6
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=12.0
OSVERSION=1200056
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=12.0-CURRENT
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License APACHE20 BSD3CLAUSE DejaVu LGPL21+ MIT OFL11 ZLIB ART20 PSFL 
FREETYPE LIBJPEG LIBPNG MSVCR90 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   renpy-6.99.14_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.4.txz
[head-armv6-default-job-05] Installing pkg-1.10.4...
[head-armv6-default-job-05] Extracting pkg-1.10.4: .......... done
===>   renpy-6.99.14_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of renpy-6.99.14_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License APACHE20 BSD3CLAUSE DejaVu LGPL21+ MIT OFL11 ZLIB ART20 PSFL 
FREETYPE LIBJPEG LIBPNG MSVCR90 accepted by the user
===> Fetching all distfiles required by renpy-6.99.14_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License APACHE20 BSD3CLAUSE DejaVu LGPL21+ MIT OFL11 ZLIB ART20 PSFL 
FREETYPE LIBJPEG LIBPNG MSVCR90 accepted by the user
===> Fetching all distfiles required by renpy-6.99.14_1 for building
=> SHA256 Checksum OK for renpy-6.99.14-sdk.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License APACHE20 BSD3CLAUSE DejaVu LGPL21+ MIT OFL11 ZLIB ART20 PSFL 
FREETYPE LIBJPEG LIBPNG MSVCR90 accepted by the user
===> Fetching all distfiles required by renpy-6.99.14_1 for building
===>  Extracting for renpy-6.99.14_1
=> SHA256 Checksum OK for renpy-6.99.14-sdk.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for renpy-6.99.14_1
===>  Applying FreeBSD patches for renpy-6.99.14_1
<snip>

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
Message from opencv-core-2.4.13.1_1:

===>   NOTICE:

The opencv-core port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   renpy-6.99.14_1 depends on shared library: libavcodec.so - found 
(/usr/local/lib/libavcodec.so)
===>   Returning to build of renpy-6.99.14_1
===>   renpy-6.99.14_1 depends on shared library: libfreetype.so - found 
(/usr/local/lib/libfreetype.so)
===>   renpy-6.99.14_1 depends on shared library: libSDL2.so - found 
(/usr/local/lib/libSDL2.so)
===>   renpy-6.99.14_1 depends on shared library: libGLEW.so - not found
===>   Installing existing package /packages/All/glew-2.1.0.txz
[head-armv6-default-job-05] Installing glew-2.1.0...
[head-armv6-default-job-05] `-- Installing libGLU-9.0.0_3...
[head-armv6-default-job-05] `-- Extracting libGLU-9.0.0_3: ...... done
[head-armv6-default-job-05] `-- Installing libXmu-1.1.2_3,1...
[head-armv6-default-job-05] |   `-- Installing libXt-1.1.5,1...
[head-armv6-default-job-05] |   | `-- Installing libSM-1.2.2_3,1...
[head-armv6-default-job-05] |   |   `-- Installing libICE-1.0.9_1,1...
[head-armv6-default-job-05] |   |   `-- Extracting libICE-1.0.9_1,1: .......... 
done
[head-armv6-default-job-05] |   | `-- Extracting libSM-1.2.2_3,1: .......... 
done
[head-armv6-default-job-05] |   `-- Extracting libXt-1.1.5,1: .......... done
[head-armv6-default-job-05] `-- Extracting libXmu-1.1.2_3,1: .......... done
[head-armv6-default-job-05] Extracting glew-2.1.0: .......... done
===>   renpy-6.99.14_1 depends on shared library: libGLEW.so - found 
(/usr/local/lib/libGLEW.so)
===>   Returning to build of renpy-6.99.14_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for renpy-6.99.14_1
warning: 
/wrkdirs/usr/ports/devel/renpy/work-py27/renpy-6.99.14-sdk/renpy/text/texwrap.pyx:171:18:
 Non-trivial type declarators in shared declaration (e.g. mix of pointers and 
values). Each pointer declaration should be on its own line.
warning: 
/wrkdirs/usr/ports/devel/renpy/work-py27/renpy-6.99.14-sdk/renpy/text/texwrap.pyx:171:26:
 Non-trivial type declarators in shared declaration (e.g. mix of pointers and 
values). Each pointer declaration should be on its own line.
_renpy is out of date.
_renpybidi is out of date.
_renpysteam is out of date.
renpy.audio.renpysound is out of date.
renpy.parsersupport is out of date.
renpy.pydict is out of date.
renpy.style is out of date.
renpy.styledata.styleclass is out of date.
renpy.styledata.stylesets is out of date.
renpy.styledata.style_selected_hover_functions is out of date.
renpy.styledata.style_selected_idle_functions is out of date.
renpy.styledata.style_selected_insensitive_functions is out of date.
renpy.styledata.style_selected_functions is out of date.
renpy.styledata.style_hover_functions is out of date.
renpy.styledata.style_idle_functions is out of date.
renpy.styledata.style_insensitive_functions is out of date.
renpy.styledata.style_functions is out of date.
renpy.styledata.style_activate_functions is out of date.
renpy.styledata.style_selected_activate_functions is out of date.
renpy.display.render is out of date.
renpy.display.accelerator is out of date.
renpy.gl.gl is out of date.
renpy.gl.gl1 is out of date.
renpy.gl.gldraw is out of date.
renpy.gl.gltexture is out of date.
renpy.gl.glenviron_shader is out of date.
renpy.gl.glenviron_fixed is out of date.
renpy.gl.glenviron_limited is out of date.
renpy.gl.glrtt_copy is out of date.
renpy.gl.glrtt_fbo is out of date.
renpy.angle.gl is out of date.
renpy.angle.gldraw is out of date.
renpy.angle.gltexture is out of date.
renpy.angle.glenviron_shader is out of date.
renpy.angle.glrtt_fbo is out of date.
renpy.angle.glrtt_copy is out of date.
renpy.text.textsupport is out of date.
renpy.text.texwrap is out of date.
renpy.text.ftfont is out of date.
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for renpy-6.99.14_1
running build
running build_ext
building '_renpy' extension
creating build
creating build/temp.freebsd-12.0-CURRENT-arm-2.7
creating build/temp.freebsd-12.0-CURRENT-arm-2.7/gen
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -I. 
-I/usr/local/include -I/usr/local/include/SDL2 -I/usr/local/include/freetype2 
-I/usr/local/include/python2.7 -I/usr/local/include/python2.7 -c gen/_renpy.c 
-o build/temp.freebsd-12.0-CURRENT-arm-2.7/gen/_renpy.o -std=gnu99 
-Wno-unused-function
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -I. 
-I/usr/local/include -I/usr/local/include/SDL2 -I/usr/local/include/freetype2 
-I/usr/local/include/python2.7 -I/usr/local/include/python2.7 -c IMG_savepng.c 
-o build/temp.freebsd-12.0-CURRENT-arm-2.7/IMG_savepng.o -std=gnu99 
-Wno-unused-function
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -I. 
-I/usr/local/include -I/usr/local/include/SDL2 -I/usr/local/include/freetype2 
-I/usr/local/include/python2.7 -I/usr/local/include/python2.7 -c core.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/core.o -std=gnu99 -Wno-unused-function
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -I. 
-I/usr/local/include -I/usr/local/include/SDL2 -I/usr/local/include/freetype2 
-I/usr/local/include/python2.7 -I/usr/local/include/python2.7 -c subpixel.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/subpixel.o -std=gnu99 
-Wno-unused-function
creating build/lib.freebsd-12.0-CURRENT-arm-2.7
/nxb-bin/usr/bin/cc -shared -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-12.0-CURRENT-arm-2.7/gen/_renpy.o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/IMG_savepng.o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/core.o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/subpixel.o -L/usr/local/lib 
-L/usr/local/lib -lSDL2 -lpng -lz -lm -lpython2.7 -o 
build/lib.freebsd-12.0-CURRENT-arm-2.7/_renpy.so
building '_renpybidi' extension
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC 
-DFRIBIDI_ENTRY= -I. -I/usr/local/include -I/usr/local/include/SDL2 
-I/usr/local/include/freetype2 -I/usr/local/include/python2.7 
-I/usr/local/include/python2.7 -c gen/_renpybidi.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/gen/_renpybidi.o -std=gnu99 
-Wno-unused-function
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC 
-DFRIBIDI_ENTRY= -I. -I/usr/local/include -I/usr/local/include/SDL2 
-I/usr/local/include/freetype2 -I/usr/local/include/python2.7 
-I/usr/local/include/python2.7 -c renpybidicore.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/renpybidicore.o -std=gnu99 
-Wno-unused-function
renpybidicore.c:38:9: warning: incompatible pointer types passing 'int *' to 
parameter of type 'FriBidiParType *' [-Wincompatible-pointer-types]
        direction,
        ^~~~~~~~~
/usr/local/include/fribidi/fribidi-deprecated.h:201:19: note: passing argument 
to parameter 'pbase_dir' here
  FriBidiParType *pbase_dir,    /* requested and resolved paragraph
                  ^
1 warning generated.
/nxb-bin/usr/bin/cc -shared -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-12.0-CURRENT-arm-2.7/gen/_renpybidi.o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/renpybidicore.o -L/usr/local/lib 
-L/usr/local/lib -lfribidi -lpython2.7 -o 
build/lib.freebsd-12.0-CURRENT-arm-2.7/_renpybidi.so
building 'renpy.audio.renpysound' extension
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC 
-DHAS_RESAMPLE=1 -I. -I/usr/local/include -I/usr/local/include/SDL2 
-I/usr/local/include/freetype2 -I/usr/local/include/python2.7 
-I/usr/local/include/python2.7 -c gen/renpy.audio.renpysound.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/gen/renpy.audio.renpysound.o -std=gnu99 
-Wno-unused-function
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC 
-DHAS_RESAMPLE=1 -I. -I/usr/local/include -I/usr/local/include/SDL2 
-I/usr/local/include/freetype2 -I/usr/local/include/python2.7 
-I/usr/local/include/python2.7 -c renpysound_core.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/renpysound_core.o -std=gnu99 
-Wno-unused-function
/nxb-bin/usr/bin/cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC 
-DHAS_RESAMPLE=1 -I. -I/usr/local/include -I/usr/local/include/SDL2 
-I/usr/local/include/freetype2 -I/usr/local/include/python2.7 
-I/usr/local/include/python2.7 -c ffmedia.c -o 
build/temp.freebsd-12.0-CURRENT-arm-2.7/ffmedia.o -std=gnu99 
-Wno-unused-function
In file included from ffmedia.c:13:
/usr/include/malloc.h:3:2: error: "<malloc.h> has been replaced by <stdlib.h>"
#error "<malloc.h> has been replaced by <stdlib.h>"
 ^
ffmedia.c:292:39: warning: 'codec' is deprecated [-Wdeprecated-declarations]
                        avcodec_close(ms->ctx->streams[i]->codec);
                                                           ^
/usr/local/include/libavformat/avformat.h:892:5: note: 'codec' has been 
explicitly marked deprecated here
    attribute_deprecated
    ^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
ffmedia.c:477:56: warning: 'codec' is deprecated [-Wdeprecated-declarations]
        AVCodecContext *codec_ctx_orig = ctx->streams[index]->codec;
                                                              ^
/usr/local/include/libavformat/avformat.h:892:5: note: 'codec' has been 
explicitly marked deprecated here
    attribute_deprecated
    ^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
ffmedia.c:487:6: warning: 'avcodec_copy_context' is deprecated 
[-Wdeprecated-declarations]
        if (avcodec_copy_context(codec_ctx, codec_ctx_orig)) {
            ^
/usr/local/include/libavcodec/avcodec.h:4411:1: note: 'avcodec_copy_context' 
has been explicitly marked deprecated here
attribute_deprecated
^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
ffmedia.c:537:20: warning: 'avcodec_decode_audio4' is deprecated 
[-Wdeprecated-declarations]
                        int read_size = 
avcodec_decode_audio4(ms->audio_context, ms->audio_decode_frame, &got_frame, 
&pkt_temp);
                                        ^
/usr/local/include/libavcodec/avcodec.h:4943:1: note: 'avcodec_decode_audio4' 
has been explicitly marked deprecated here
attribute_deprecated
^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
ffmedia.c:646:19: warning: 'avcodec_decode_video2' is deprecated 
[-Wdeprecated-declarations]
                int read_size = avcodec_decode_video2(ms->video_context, 
ms->video_decode_frame, &got_frame, &ms->video_pkt_tmp);
                                ^
/usr/local/include/libavcodec/avcodec.h:4992:1: note: 'avcodec_decode_video2' 
has been explicitly marked deprecated here
attribute_deprecated
^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
ffmedia.c:721:18: warning: implicit declaration of function 'memalign' is 
invalid in C99 [-Wimplicit-function-declaration]
    rv->pixels = memalign(16, rv->pitch * rv->h);
                 ^
ffmedia.c:721:16: warning: incompatible integer to pointer conversion assigning 
to 'void *' from 'int' [-Wint-conversion]
    rv->pixels = memalign(16, rv->pitch * rv->h);
               ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ffmedia.c:941:24: warning: 'codec' is deprecated [-Wdeprecated-declarations]
                if (ctx->streams[i]->codec->codec_type == AVMEDIA_TYPE_VIDEO) {
                                     ^
/usr/local/include/libavformat/avformat.h:892:5: note: 'codec' has been 
explicitly marked deprecated here
    attribute_deprecated
    ^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
ffmedia.c:947:24: warning: 'codec' is deprecated [-Wdeprecated-declarations]
                if (ctx->streams[i]->codec->codec_type == AVMEDIA_TYPE_AUDIO) {
                                     ^
/usr/local/include/libavformat/avformat.h:892:5: note: 'codec' has been 
explicitly marked deprecated here
    attribute_deprecated
    ^
/usr/local/include/libavutil/attributes.h:94:49: note: expanded from macro 
'attribute_deprecated'
#    define attribute_deprecated __attribute__((deprecated))
                                                ^
9 warnings and 1 error generated.
error: command '/nxb-bin/usr/bin/cc' failed with exit status 1
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/renpy
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to